%define upstream_name    Devel-PPPort
%define upstream_version 3.68

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Portability aid for your XS code
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl-devel
%description
Perl's API has changed over time, gaining new features, new functions,
increasing its flexibility, and reducing the impact on the C namespace
environment (reduced pollution). The header file written by this module,
typically _ppport.h_, attempts to bring some of the newer Perl API features
to older versions of Perl, so that you can worry less about keeping track
of old releases, but users can still reap the benefit.

'Devel::PPPort' contains a single function, called 'WriteFile'. Its only
purpose is to write the _ppport.h_ C header file. This file contains a
series of macros and, if explicitly requested, functions that allow XS
modules to be built using older versions of Perl. Currently, Perl versions
from 5.003 to 5.10.0 are supported.

This module is used by 'h2xs' to write the file _ppport.h_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes HACKERS META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 3.680.0-2.mga9
+ Revision: 1861784
- Rebuild for Perl 5.36

* Mon Mar 21 2022 tv <tv> 3.680.0-1.mga9
+ Revision: 1816648
- update to 3.68

* Thu Mar 17 2022 umeabot <umeabot> 3.670.0-2.mga9
+ Revision: 1796955
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 tv <tv> 3.670.0-1.mga9
+ Revision: 1790379
- update to 3.67

* Fri Mar 04 2022 tv <tv> 3.660.0-1.mga9
+ Revision: 1788391
- update to 3.66

* Wed Feb 02 2022 tv <tv> 3.640.0-1.mga9
+ Revision: 1770998
- update to 3.64

* Sat Jul 17 2021 tv <tv> 3.630.0-1.mga9
+ Revision: 1736380
- update to 3.63

* Mon May 24 2021 umeabot <umeabot> 3.620.0-2.mga9
+ Revision: 1726555
- Rebuild for perl 5.34

* Sat Oct 17 2020 tv <tv> 3.620.0-1.mga8
+ Revision: 1636480
- update to 3.62

* Tue Oct 13 2020 shlomif <shlomif> 3.610.0-1.mga8
+ Revision: 1635274
- update to 3.61

* Wed Aug 12 2020 tv <tv> 3.600.0-1.mga8
+ Revision: 1613490
- update to 3.60

* Tue Aug 11 2020 tv <tv> 3.590.0-1.mga8
+ Revision: 1613208
- update to 3.59

* Wed Jun 17 2020 umeabot <umeabot> 3.580.0-2.mga8
+ Revision: 1594544
- Rebuild for perl 5.32

* Tue Mar 10 2020 tv <tv> 3.580.0-1.mga8
+ Revision: 1555208
- update to 3.58

* Fri Feb 21 2020 umeabot <umeabot> 3.570.0-2.mga8
+ Revision: 1547851
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 3.570.0-1.mga8
+ Revision: 1488483
- update to 3.57

* Tue Nov 26 2019 tv <tv> 3.560.0-1.mga8
+ Revision: 1462982
- update to 3.56

* Fri Nov 08 2019 tv <tv> 3.550.0-1.mga8
+ Revision: 1458854
- update to 3.55

* Mon Sep 30 2019 tv <tv> 3.540.0-1.mga8
+ Revision: 1448368
- update to 3.54

* Tue Aug 27 2019 tmb <tmb> 3.520.0-2.mga8
+ Revision: 1433523
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 3.520.0-1.mga8
+ Revision: 1415505
- update to 3.52

* Wed Mar 20 2019 tv <tv> 3.450.0-1.mga7
+ Revision: 1379137
- update to 3.45

* Thu Feb 21 2019 tv <tv> 3.440.0-1.mga7
+ Revision: 1369070
- update to 3.44

* Wed Oct 17 2018 shlomif <shlomif> 3.430.0-1.mga7
+ Revision: 1321450
- update to 3.43

* Fri Sep 21 2018 umeabot <umeabot> 3.420.0-4.mga7
+ Revision: 1292788
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 3.420.0-3.mga7
+ Revision: 1249327
- Rebuild for perl 5.28
- Rebuild for perl 5.28

* Mon Apr 23 2018 shlomif <shlomif> 3.420.0-1.mga7
+ Revision: 1221537
- update to 3.42

* Mon Oct 02 2017 tv <tv> 3.360.0-3.mga7
+ Revision: 1164065
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.360.0-2.mga7
+ Revision: 1148940
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 3.360.0-1.mga7
+ Revision: 1130022
- update to 3.36
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 3.320.0-3.mga6
+ Revision: 1025575
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3.320.0-2.mga6
+ Revision: 957172
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 3.320.0-1.mga6
+ Revision: 891315
- update to 3.32

* Thu Jun 25 2015 sander85 <sander85> 3.310.0-1.mga6
+ Revision: 843823
- update to 3.31

* Sat Oct 18 2014 umeabot <umeabot> 3.240.0-5.mga5
+ Revision: 788059
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.240.0-4.mga5
+ Revision: 749042
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.240.0-3.mga5
+ Revision: 684324
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.240.0-2.mga5
+ Revision: 631071
- Rebuild for perl 5.20

* Mon May 19 2014 sander85 <sander85> 3.240.0-1.mga5
+ Revision: 623905
- update to 3.24

* Tue Apr 15 2014 jquelin <jquelin> 3.230.0-1.mga5
+ Revision: 614571
- update to 3.23

* Thu Mar 20 2014 jquelin <jquelin> 3.220.0-1.mga5
+ Revision: 606053
- update to 3.22

* Mon Feb 10 2014 jquelin <jquelin> 3.210.0-3.mga5
+ Revision: 587913
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 3.210.0-2.mga4
+ Revision: 532289
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 3.210.0-1.mga4
+ Revision: 467772
- update to 3.21

* Wed May 29 2013 jquelin <jquelin> 3.200.0-8.mga4
+ Revision: 430651
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.200.0-7.mga3
+ Revision: 365790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.200.0-6.mga3
+ Revision: 250531
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 3.200.0-5.mga2
+ Revision: 162802
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 3.200.0-4.mga2
+ Revision: 144762
- upload to 3.20
- update to 3.20

* Sun Jun 12 2011 sander85 <sander85> 3.190_300-4.mga2
+ Revision: 105241
- upgrade to devel version to fix build
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 3.190.0-3.mga1
+ Revision: 22355
- cleaning spec file
- imported package perl-Devel-PPPort

